Subscribe webhook
POST
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidapplication/json- body
branch_ref?|nullevents*array<string>Items
1 <= items <= 50kind?KindDefault
"webhook"Value in
"webhook""slack""discord""jira""siem""policy"name?NameLength
1 <= length <= 255Default
"Webhook"origin?OriginDefault
"all"Value in
"all""manual""schedule""github"repository_id?|nullurl*UrlFormat
uriLength
1 <= length <= 2083Successful Response
application/json- response
active*Activebranch_ref?string|nullcreated_at*Created AtFormat
date-timeevents*array<string>id*IdFormat
uuidkind*KindValue in
"webhook""slack""discord""jira""siem""policy"name*Nameorigin?OriginDefault
"all"Value in
"all""manual""schedule""github"repository_id?|nullsecret*Secreturl*Urlcurl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/webhooks' \ -H 'Content-Type: application/json' \ -d '{ "events": [ "string" ], "url": "http://example.com"}'Example Response
{ "active": true, "branch_ref": "string", "created_at": "2019-08-24T14:15:22Z", "events": [ "string" ], "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kind": "webhook", "name": "string", "origin": "all", "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3", "secret": "string", "url": "string"}